Support » Plugin: WooCommerce Admin » Installing Version 1.6.0 lead to critical error on the website

  • Resolved Bec os

    (@becosfx)


    Version 1.6.0 | By WooCommerce | View details
    This plugin failed to load properly and is paused during recovery mode.
    An error of type ‪E_ERROR‬ was caused in line ‪130‬ of the file ‪/………/wp-content/plugins/woocommerce-admin/src/Features/Onboarding.php‬. Error message: ‪Uncaught Error: Call to undefined function Automattic\WooCommerce\Admin\Features\wc_is_running_from_async_action_scheduler() in /……./wp-content/plugins/woocommerce-admin/src/Features/Onboarding.php:130 Stack trace: #0 /……./wp-includes/class-wp-hook.php(287): Automattic\WooCommerce\Admin\Features\Onboarding->admin_redirects(”) #1 /………/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) #2 /………./wp-includes/plugin.php(478): WP_Hook->do_action(Array) #3 /……../wp-admin/admin.php(175): do_action(‘admin_init’) #4 /………../wp-admin/index.php(10): require_once(‘/………’) #5 {main} throw‬

    • This topic was modified 1 week ago by Bec os.
Viewing 12 replies - 1 through 12 (of 12 total)
  • Lost Sheeps

    (@tensheep)

    Yep same here, after the auto-update.

    michaelnine

    (@michaelnine)

    Same problem.

    Thomas Fritz

    (@tfritzedv)

    Same here, had to deactivate it hard by renaming the folder.

    Plugin Support Adam

    (@adamkheckler)

    Thanks for the reports everyone!

    Can y’all let us know which version of WooCommerce core you are running? I only see this error on versions below 4.0.0, likely because the wc_is_running_from_async_action_scheduler function was introduced in 4.0.0.

    If y’all can confirm, I can file a bug report to get this on the devs’ radar.

    Thanks!

    Hey Adam,

    We’re running 3.9.2 for the client where the error was.
    So you are indeed right, it is (for us) below 4.0.0.

    To temporary fix the problem we switched back to v1.5.0 of the plugin.

    Plugin Support Adam

    (@adamkheckler)

    We have an open issue for this now:

    https://github.com/woocommerce/woocommerce-admin/issues/5378

    Bug fix should be in an upcoming version 1.6.1. I can’t say when exactly that will be released, but the devs are aware and working on it.

    Going to mark this as resolved, further conversation should go in the GitHub issue above.

    Yes, I am running Woocommerce Version 3.9.3 still. I tried to update but it was a total ERROR that nothing worked anymore. If I remember correctly, it was also something related to the action scheduler.

    It is unrelated, but will ever the WC Admin be able to report correctly when running multi-currencies? Default reports in the shop’s default currency are useless since there are orders in different currencies.

    I see it’s marked as resolved however a client of us had the same issue today.

    WordPress versie 5.3.4
    Huidig thema: TheStore (versie 1.0.5)
    Huidige plugin: WooCommerce Admin (versie 1.6.0)
    PHP versie 7.4.11

    They were logged in, in recovery-mode. I remotely took over their computer and did the following:

    – deactivated WC Admin;
    – updated WooCommerce (it was outdated);
    – re-activated WC Admin.

    All worked well after that.

    I’m posting this here since it might be of help and/or perhaps the reason why others have issues: outdated WooCommerce as was suggested above. Can confirm.

    • This reply was modified 6 days, 21 hours ago by rudybrinkman.
    • This reply was modified 6 days, 21 hours ago by rudybrinkman.
    Plugin Support Adam

    (@adamkheckler)

    I’m posting this here since it might be of help and/or perhaps the reason why others have issues: outdated WooCommerce?

    Yes, any version of WooCommerce below 4.0.0 will throw the fatal error as soon as WooCommerce Admin 1.6.0 is installed.

    You can either update your WooCommerce plugin to a more recent version (always a best practice) or downgrade WooCommerce Admin and wait for the fix to be included in the next release, which should be 1.6.1.

    Same issue here. Have reinstalled v1.5, which can be downloaded from here, and it looks like everything is back to normal.

    Hopefully v1.6.1 will provide a fix. I see it just became available.

    Plugin Author Jeff Stieler

    (@jeffstieler)

    Hello everyone,

    We’ve just released WooCommerce Admin 1.6.1 to resolve the PHP Fatal error being experience on versions of WooCommerce below 4.0.0.

    My apologies for the impact to your stores.

    Please don’t hesitate to open a new support thread if there are further issues.

    Thank you all!

Viewing 12 replies - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.